@font-face {
    font-family: 'tce';
    src: url('../fonts/TcefontsonRegular.otf') format('woff2'),
        url('../fonts/TcefontsonRegular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
    background-color: #F9F9F9;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    margin: 0;
}

.coming {
    font-family: 'tce', sans-serif;
    font-size: 20vw;


    background: linear-gradient(180deg, #000000, #F9F9F9);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    opacity: 0.05;
    position: absolute;
    top: -5px;
    left: 50%;
    z-index: -1;
    transform: translateX(-50%);
}

.soon {
    font-family: 'tce', sans-serif;
    font-size: 20vw;

    background: linear-gradient(0deg, #000000, #F9F9F9);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

    opacity: 0.05;
    position: absolute;
    z-index: -1;
    bottom: -15px;
    left: 50%;
    line-height: 90%;
    transform: translateX(-50%);
}


.news-banner {
    position: relative;
    background-color: rgb(235 235 235);
    backdrop-filter: blur(10px);
    width: 50vw;
    display: flex;
    align-items: center;
    overflow: hidden;
    border-radius: 16px;
    z-index: 0;
    justify-content: left;
    font-size: 14px;
    font-weight: 500;
    color: rgb(20, 20, 20);
    padding: 2px 0;
    text-wrap: nowrap;
    white-space: nowrap;
}

.news-banner .fog {
    position: absolute;
    background: rgb(22, 24, 23);
    pointer-events: none;
    background: linear-gradient(90deg, rgb(235 235 235) 10%, rgb(235 235 235 / 0%) 30%, rgb(235 235 235 / 0%) 50%, rgb(235 235 235 / 0%) 70%, rgb(235 235 235) 90%);
    width: 100%;
    height: 100%;
    z-index: 2;
}


.news-banner .scroll-text {
    pointer-events: none;
}

.news-banner:hover .scroll-text {
    text-decoration: underline;
}

.scroll-container {
    display: flex;
    width: max-content;
    animation: scroll-left 280s linear infinite;
}

.scroll-text {
    padding: 10px 50px;
}

@keyframes scroll-left {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

.Content {
    position: relative;
    font-family: 'Poppins', sans-serif;
    font-size: 5vw;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    color: #000000;
}

.Content .left {
    position: relative;
    width: calc(100% - 60px);
    background: #FFFFFF;
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.2);
    padding: 12px 30px;
    border-radius: 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    flex-direction: row;
    z-index: 2;
}

.Content .left .logo {
    height: 60px !important;
    display: flex;
    justify-content: start;
    align-items: center;
}


.Content .left h1 {
    font-weight: 600;
    font-size: 20px;
    color: #000000;
}

.Content .left p {
    font-weight: 600;
    font-size: 10px;
    color: #565656;
}

.factories {
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;
    gap: 10px;
}

.factory_info {
    background-color: #F4F4F4;
    border-radius: 16px;
    padding: 12px 7px;
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: row;
    gap: 10px;
}

.info-card {
    width: fit-content;
    background-color: #FFFFFF;
    border-radius: 8.25px;
    padding: 8px 15px;
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: row;
    gap: 12.8px;
}

.info-card img {
    height: 24.14px;
}

.info-card h2 {
    font-weight: 700;
    font-size: 16px;
    color: #000000;
    line-height: 100%;
    margin: 0;
}

.info-card p {
    margin: 0;
    line-height: 100%;
    font-size: 10px;
}

.info-card p a {
    font-weight: 400;
    font-size: 14px;
    color: #000000;
    margin: 0;
    line-height: 100%;
}

.info-card span {
    margin: 0;
    color: #2B2B2B;
    font-size: 10px;
}

.info-card .content-card {
    display: flex;
    flex-direction: column;
    width: max-content;
}

.Content .left .rightSide {
    position: absolute;
    display: flex;
    justify-content: end;
    align-items: top;
    z-index: 0;
    flex-direction: column;
    bottom: 0px;
    right: 0;
}

.Content .left .langs nav ul {
    display: flex;
    justify-content: end;
    align-items: center;
    flex-direction: row;
    gap: 10px;
    padding-right: 49px;
    margin: 0;
}

.Content .left .langs nav ul li {
    list-style: none;
    font-weight: 400;
    font-size: 20px;
    color: #000000;
}

.Content .left .langs nav ul li a {
    text-decoration: none;
    color: #000000;
    cursor: pointer;
    transition: color 0.2s linear;
}

.Content .left .langs nav ul li a:hover {
    text-decoration: underline;
    color: #204FCD;
}

.langs {
    position: absolute;
    right: 0;
    top: 20px;
    z-index: 4;
}

@media (max-width: 1350px) {
    .factories {
        width: 100%;
    }

    .factory_info {
        flex-direction: column;
        width: calc(100% - 14px);
    }

    .news-banner {
        width: 80vw;
    }

    .info-card {
        align-items: center;
        justify-content: ce;
        width: calc(100% - 30px);
    }
}

@media (max-width: 540px) {
    .Content {
        max-width: 90dvw !important;
    }

    .news-banner {
        width: 90vw;
    }
}